# Package-level declarations

Annotations for exposing task properties as command line options.

#### Since

4.6

## Types

Option
Link copied to clipboard
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = [ElementType.METHOD, ElementType.FIELD])
@Inherited
annotation class Option
Marks a property of a org.gradle.api.Task as being configurable from the command-line.
OptionValues
Link copied to clipboard
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = ElementType.METHOD)
@Inherited
annotation class OptionValues
Marks a method on a org.gradle.api.Task as providing the possible values for a `String` or `List<String>`Option.